
/* -*- Mode: Java; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*-
 *
 * This file is part of the IDE support for the AspectJ(tm)
 * programming language; see http://aspectj.org
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * either http://www.mozilla.org/MPL/ or http://aspectj.org/MPL/.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is AspectJ.
 *
 * The Initial Developer of the Original Code is Xerox Corporation. Portions
 * created by Xerox Corporation are Copyright (C) 1999-2002 Xerox Corporation.
 * All Rights Reserved.
 *
 * Contributor(s): Phil Sager (psager@mb.sympatico.ca)
 */
 
package org.aspectj.tools.ajde.netbeans;

import java.awt.Graphics;
import java.awt.Dimension;
import java.awt.Color;
import java.awt.event.MouseEvent; 
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent; 
import javax.swing.*;
import java.util.*;
import org.openide.awt.Actions;
import org.openide.util.HelpCtx;
import org.openide.util.NbBundle;
import org.openide.util.actions.CallableSystemAction;
import org.aspectj.asm.*;
import org.aspectj.compiler.base.ast.ThisExpr;
import org.aspectj.ajde.*;
import org.aspectj.ajde.ui.swing.*;

/** 
 * @author  Mik Kersten
 */
public class AJSelectConfigurationAction extends CallableSystemAction {
    
    public static boolean PROP_ENABLED = false;
    private JPopupMenu orderMenu = null;
    
    public void performAction() { }       
       
    public void actionPerformed(ActionEvent e) {
       
    //public void performAction() {

		orderMenu = new BuildConfigPopupMenu(BUILD_ACTION);
		orderMenu.setLocation(
			(int)((org.openide.awt.ToolbarButton)e.getSource()).getLocationOnScreen().getX(), 
			(int)((org.openide.awt.ToolbarButton)e.getSource()).getLocationOnScreen().getY() + 25
    	);    
		orderMenu.setVisible(true);
		orderMenu.repaint();
    }

	final AbstractAction BUILD_ACTION = new AbstractAction() {
		public void actionPerformed(ActionEvent arg0) {
	        NbManager.INSTANCE.saveAll();
	        orderMenu.setVisible(false);
		};
	};
    
    public String getName() {
        return NbBundle.getMessage(AJSelectConfigurationAction.class, 
        	"LBL_AJSelectConfigurationAction");
    }
    
    protected String iconResource() {
        return "/org/aspectj/ajde/resources/actions/popup.gif";
    }
    
    public HelpCtx getHelpCtx() {
        return HelpCtx.DEFAULT_HELP;
    }
    
    public void setEnabled(boolean enable){
        PROP_ENABLED = enable;
        super.setEnabled(enable);
    }
    
    public boolean isEnabled(){
        return PROP_ENABLED;
    }
        
    /** Perform extra initialization of this action's singleton. 
     * PLEASE do not use constructors for this purpose! */
    protected void initialize () {
    	super.setEnabled(false);
    }
}
