/* -*- Mode: Java; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*-
 *
 * This file is part of the IDE support for the AspectJ(tm)
 * programming language; see http://aspectj.org
 *
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License at
 * either http://www.mozilla.org/MPL/ or http://aspectj.org/MPL/.
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is AspectJ.
 *
 * The Initial Developer of the Original Code is Xerox Corporation. Portions
 * created by Xerox Corporation are Copyright (C) 1999-2002 Xerox Corporation.
 * All Rights Reserved.
 *
 * Contributor(s): Phil Sager (psager@mb.sympatico.ca)
 */

package org.aspectj.tools.ajde.netbeans;

import java.io.IOException;
import javax.swing.*;
import org.openide.Places;
import org.openide.TopManager;
import org.openide.loaders.DataFolder;
import org.openide.modules.ModuleInstall;
import org.openide.filesystems.FileObject;
import org.openide.util.Utilities;
import org.openide.util.actions.SystemAction;
import org.openide.explorer.*;
import org.openide.explorer.view.*;
import org.openide.windows.*;
import org.openide.awt.*;

public class Install extends ModuleInstall {

    private static final String STARTUP_MESSAGE = "\nAspectJ Development Environment (AJDE) support " +
        org.aspectj.compiler.Version.text +
        " loaded.\n" +
        "Copyright (C) 2002 Xerox Corporation.  All rights reserved.\n";



    public void installed () {
    	bindKeys();
       // not implemented
       // Menu Items, Actions and Toolbar are now implemented in Layers...pjs
    }

    public void uninstalled () {
        // not implemented...pjs
    }

    public void restored () {
        uninstalled();
        installed();
    }


    private static void bindKeys() {
    	TopManager.getDefault ().getGlobalKeymap ().addActionForKeyStroke
    	    (Utilities.stringToKey ("CSA-F11"),
    	     SystemAction.get(AJBuildAction.class)
    	);
    }
}
